Last modified: 2014-01-30 19:52:06 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 59670 - Uploading too many files in more than one batch creates error message with confusing numbers
Uploading too many files in more than one batch creates error message with co...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
unspecified
All All
: Low minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2014-01-05 10:50 UTC by Liangent
Modified: 2014-01-30 19:52 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Possible patch (1.04 KB, patch)
2014-01-14 22:00 UTC, Ocean behind ears
Details

Description Liangent 2014-01-05 10:50:43 UTC
Repro:

1. Prepare 51 files.
2. Go to Upload Wizard, "Upload" step.
3. Add two files first.
4. Add all remaining files.
5. It says "Too many files" "You can only upload 50 files at once but you tried to upload 49 files in total. Please try again with fewer files!"

This message is confusing, because obviously 49 < 50.
Comment 1 Ocean behind ears 2014-01-14 22:00:41 UTC
Created attachment 14308 [details]
Possible patch

This should fix the problem
Comment 2 Andre Klapper 2014-01-15 09:34:41 UTC
Hi! Thanks for your patch!

You are welcome to use Developer access
  https://www.mediawiki.org/wiki/Developer_access
to submit this as a Git branch directly into Gerrit:
  https://www.mediawiki.org/wiki/Git/Tutorial

Putting your branch in Git makes it easier to review it quickly. If you don't want to set up Git/Gerrit, you can also use https://tools.wmflabs.org/gerrit-patch-uploader/
Thanks again! We appreciate your contribution.
Comment 3 Gerrit Notification Bot 2014-01-26 22:17:18 UTC
Change 109602 had a related patch set uploaded by Ocean behind ears:
Fix counting error

https://gerrit.wikimedia.org/r/109602
Comment 4 Gerrit Notification Bot 2014-01-27 10:43:29 UTC
Change 109602 merged by jenkins-bot:
Fix counting error

https://gerrit.wikimedia.org/r/109602
Comment 5 Ocean behind ears 2014-01-28 00:21:42 UTC
Please close this bug.
Comment 6 Andre Klapper 2014-01-28 08:50:53 UTC
Ah. Thanks (for the reminder and the patch)!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links